This is under the same conditional as the nobootloader confirmation
one, since they effectively both stem from the lack of a boot loader
and the consequential use of the pv-grub-menu package.
Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Acked-by: Ian Jackson <ian.jackson@eu.citrix.com>
# that as a "bootloader".
$preseed_file.= (<<END);
d-i nobootloader/confirmation_common boolean true
+END
+ # Debian Bug #771949 means that update-menu-list always
+ # generates a full absolute path to the kernel + initrd, while
+ # by default the partition layout on ARM has a separate /boot.
+ preseed_hook_command($ho, 'late_command', $sfx, <<END);
+#!/bin/sh
+set -ex
+ln -s . /target/boot/boot
END
}